local PrincessTower = ...

-- Register all building parts and their properties
PrincessTower:dofile("scripts/princessTower.lua")

PrincessTower:register({
    DataType = "BUILDING",
    Id = _PrincessPrefix .. "_TOWER_MONUMENT",
    Name = _PrincessPrefix .. "_TOWER_MONUMENT_NAME",
    Description = _PrincessPrefix .. "_TOWER_MONUMENT_DESC",
    BuildingType = "DECORATION",
    AssetCoreBuildingPart = _PrincessPrefix .. "_TOWER_ROOT_PART",
    RequiredPartList = {
		-- Necessarily a list of 'MONUMENT_REQUIRED_PART_PAIR', no need to specify the DataType of each element of the list
		{ Category = "CORE", Quantity = 1 }
    },
    IsEditable = true
})


